<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        $middleware->append([
            \App\Http\Middleware\RedirectIfAuthenticated::class,
        ]);

        $middleware->alias([
            'role' => \App\Http\Middleware\RequireRole::class,
            'permission' => \App\Http\Middleware\RequirePermission::class,
            'refreshjwt' => \App\Http\Middleware\RefreshUserJwt::class,
        ]);

        $middleware->priority([
            \App\Http\Middleware\RedirectIfAuthenticated::class,
        ]);

        $middleware->appendToGroup('web', [
            \App\Http\Middleware\RefreshUserJwt::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        //
    })->create();
